PATCH https://api.zatomic.ai/v1/context/items/{contextItemId}/versions/{versionId}/file
// Example
PATCH https://api.zatomic.ai/v1/context/items/ctx_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ctv_2qRzu8qzlNOMhTrini2EKCDh5r6/file
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Context Items
- The Context Item Object
- Create File Context Item
- Create Text Context Item
- Update Context Item
- Delete Context Item
- Retrieve Context Item
- Retrieve All Context Items
- Context Item Versions
- The Context Item Version Object
- Create File Context Item Version
- Create Text Context Item Version
- Update File Context Item Version
- Update Text Context Item Version
- Delete Context Item Version
- Retrieve Context Item Version
- Retrieve All Context Item Versions
- Context Packs
- The Context Pack Object
- Create Context Pack
- Update Context Pack
- Delete Context Pack
- Retrieve Context Pack
- Retrieve All Context Packs
- Context Pack Versions
- The Context Pack Version Object
- Create Context Pack Version
- Update Context Pack Version
- Delete Context Pack Version
- Retrieve Context Pack Version
- Retrieve All Context Pack Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Prompt Versions
- The Prompt Version Object
- Create Prompt Version
- Update Prompt Version
- Delete Prompt Version
- Retrieve Prompt Version
- Retrieve All Prompt Versions
- Calculate Prompt Version Score
- Retrieve Prompt Version Score
- Generate Prompt Version Heatmap
- Retrieve Prompt Version Heatmap
- Analyze Prompt Version Balance
- Retrieve Prompt Version Balance
- Analyze Prompt Version Risk
- Retrieve Prompt Version Risk
- Improve Prompt Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Update File Context Item Version
This endpoint allows you to update any combination of the file context item version's name, file, or primary flag.
Maximum file size is 100 MB and the allowed file types are: .csv, .doc, .docx, .gif, .jpg, .jpeg, .md, .pdf, .png, .ppt, .pptx, .svg, .txt, .webp, .xls, .xlsx.
Endpoint
Endpoint Request
| Request Properties | |
|---|---|
|
file
multipart/form-data
|
The updated file to be uploaded for the version. |
|
name
string, optional
|
Name of the version. |
|
is_primary
boolean, optional
|
Flag that determines if the version is the primary version for the context item. |
Request Body
curl -X POST "https://api.zatomic.ai/v1/context/items/ctx_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ctv_2qRzu8qzlNOMhTrini2EKCDh5r6/file" \
-F "name=Employee Handbook" \
-F "file=employee-handbook.pdf" \
-F "is_primary=true"
Endpoint Response
A successful call returns a response that contains the updated context item version object.
| HTTP Status Codes | ||
|---|---|---|
| 200 | OK | The context item version was updated. |
| 400 | Bad Request | The file was not provided in the request. |
| 400 | Bad Request | The file size was greater than 100 MB. |
| 400 | Bad Request | The file type was not allowed. |
| 404 | Not Found | The context item version didn't exist. |
| 423 | Locked | The context item version was locked. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |